Package org.pushingpixels.flamingo.internal.utils

# Class ColorShiftFilter

java.lang.Object
org.pushingpixels.flamingo.internal.utils.AbstractFilter
org.pushingpixels.flamingo.internal.utils.ColorShiftFilter

All Implemented Interfaces:
  `BufferedImageOp`

public class ColorShiftFilter extends AbstractFilter
Image filter that shifts the colors of the original image.

## Constructor Summary

Constructors
Constructor
Description
`ColorShiftFilter(Color shiftColor, double shiftAmount)`
Creates a new color shift filter.

## Method Summary

Modifier and Type
Method
Description
`BufferedImage`
`filter(BufferedImage src, BufferedImage dst)`

### Methods inherited from class org.pushingpixels.flamingo.internal.utils.AbstractFilter

`createCompatibleDestImage, getBounds2D, getPixels, getPoint2D, getRenderingHints, setPixels`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ColorShiftFilter

public ColorShiftFilter(Color shiftColor, double shiftAmount)
Creates a new color shift filter.

Parameters:
  `shiftColor` - Shift color.
  `shiftAmount` - Shift amount in 0.0-1.0 range.

## Method Details

### filter

public BufferedImage filter(BufferedImage src, BufferedImage dst)